Subject: [PATCH 1/6] ARM: dts: am335x-phycore-som: Update NAND partition table

From: [email-masked] (Tony Lindgren)
Date: Fri, 6 Jan 2017 08:02:23 -0800

* Teresa Remmet <[email-masked]> [170106 01:28]:
> Hello Brian,
> 
> Am Donnerstag, den 05.01.2017, 09:56 -0800 schrieb Brian Norris:
> > On Thu, Jan 05, 2017 at 09:18:45AM -0800, Tony Lindgren wrote:
> > > 
> > > * Tony Lindgren <[email-masked]> [170105 07:37]:
> > > > 
> > > > * Teresa Remmet <[email-masked]> [170105 06:57]:
> > > > > 
> > > > > To improve NAND safety we updated the partition layout.
> > > > > Added barebox backup partition and removed kernel and oftree
> > > > > partition. They are kept in ubi now.
> > > > What about the users with earlier partition tables?
> > > > 
> > > > Please read about "flag day" changes, typically they are not
> > > > acceptable.
> > > Adding Brian and Adam to Cc. Can you guys come up with some
> > > solution on this?
> > I don't have much context for this thread, and no I don't plan to
> > solve
> > your problems for you. But I can provide tips!
> > 
> > > 
> > > I'm suggesting we leave the kernel nodes empty and let u-boot
> > > populate them, so maybe you guys can discuss this on the related
> > > lists.
> > That's an option. I've worked with platforms that did something like
> > this, and that's really one of the only ways you can handle putting
> > partition information in the device tree. You're really hamstringing
> > yourself when you put all the partition information in the device
> > tree.
> > And it's just dumb once that gets codified in the kernel source tree.
> > 
> 
> In our case the bootloader does pass the partition table to the kernel.
> So it gets overwritten anyway. This was just more for backup,?
> if someone uses a different bootloader. But I'm fine with removing the
> nand partition table completely from the kernel device tree.
> Same with the SPI nor partition table.
> 
> I will send patches for this.

OK thanks! Also thank you Brian for your comments.

Regards,

Tony